language: node_js
node_js:
- '5.1'
sudo: false
services:
before_install:
- npm --version
- export CHROME_BIN=chromium-browser
- export DISPLAY=:99.0
- sh -e /etc/init.d/xvfb start
before_script:
script:
  - npm test
after_script:
  - curl -X POST -F file=@/home/travis/build/rtang03/ibc-seed/unit.tap https://hiptest.net/import_test_reports/163941514558266786822606932862230391084201912086715790769/26342/tap
notifications:
  email: true
after_failure: cat /home/travis/build/rtang03/ibc-seed/npm-debug.log
branches:
  only:
  - master
notifications:
  slack: ibc-seed:nodjGIFv8HMNL8ZR76LaU7mx
env:
  global:
  # https://github.com/DefinitelyTyped/tsd#tsdrc
  # Token has no scope (read-only access to public information)
  - TSD_GITHUB_TOKEN=9b18c72997769f3867ef2ec470e626d39661795d
  - env dev
